Package org.eclipse.zest.layouts

# Interface LayoutRelationship

All Superinterfaces:
  `LayoutItem`

All Known Implementing Classes:
  `InternalRelationship`

@Deprecated(since="2.0", forRemoval=true) public interface LayoutRelationship extends LayoutItem
Deprecated, for removal: This API element is subject to removal in a future version.
Use `ConnectionLayout` instead. This interface will be removed in a future release.
This represents a single relationship, providing the layout algorithms with a common interface to run on.

@noextend
  This interface is not intended to be extended by clients.
@noimplement
  This interface is not intended to be implemented by clients.
@noreference
  This interface is not intended to be referenced by clients.

## Method Summary

Modifier and Type
Method
Description
`void`
`clearBendPoints()`
Deprecated, for removal: This API element is subject to removal in a future version.
Clear bend points and related bounds If you are updating an existing application you can just implement this method to do nothing.
`LayoutEntity`
`getDestinationInLayout()`
Deprecated, for removal: This API element is subject to removal in a future version.
Gets the destinationEntity of this SimpleRelation whether the relation is exchangeable or not.
`Object`
`getLayoutInformation()`
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the internal relationship object.
`LayoutEntity`
`getSourceInLayout()`
Deprecated, for removal: This API element is subject to removal in a future version.
Gets the sourceEntity of this SimpleRelation whether the relation is exchangeable or not.
`void`
`populateLayoutConstraint(LayoutConstraint constraint)`
Deprecated, for removal: This API element is subject to removal in a future version.
Classes should update the specified layout constraint if recognized
`void`
`setBendPoints(LayoutBendPoint[] bendPoints)`
Deprecated, for removal: This API element is subject to removal in a future version.
Specify a set of bend points.
`void`
`setLayoutInformation(Object layoutInformation)`
Deprecated, for removal: This API element is subject to removal in a future version.
Sets the internal relationship object.

### Methods inherited from interface org.eclipse.zest.layouts.LayoutItem

`getGraphData, setGraphData`

## Method Details

### getSourceInLayout

LayoutEntity getSourceInLayout()
Deprecated, for removal: This API element is subject to removal in a future version.
Gets the sourceEntity of this SimpleRelation whether the relation is exchangeable or not.

Returns:
  The sourceEntity.

### getDestinationInLayout

LayoutEntity getDestinationInLayout()
Deprecated, for removal: This API element is subject to removal in a future version.
Gets the destinationEntity of this SimpleRelation whether the relation is exchangeable or not.

Returns:
  The destinationEntity of this SimpleRelation.

### setLayoutInformation

void setLayoutInformation(Object layoutInformation)
Deprecated, for removal: This API element is subject to removal in a future version.
Sets the internal relationship object.

Parameters:
  `layoutInformation` -

### getLayoutInformation

Object getLayoutInformation()
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the internal relationship object.

Returns:
  Object

### setBendPoints

void setBendPoints(LayoutBendPoint[] bendPoints)
Deprecated, for removal: This API element is subject to removal in a future version.
Specify a set of bend points. The layout algorithm using this will pass in an empty array of bendPoints, or not even call this method, if there are no bend points associated with this edge. If you are updating an existing application you can just implement this method to do nothing.

Parameters:
  `bendPoints` - A list of bend points. All bendpoint locations are expressed as percentages of the bounds (0,0 to 1,1).The first bendpoint in the list must be the source point of this relationship and the last bendpoint the destination point for this relationship. This allows the correct positioning of bendpoints relative to the source and destination points when drawing the graph.

### clearBendPoints

void clearBendPoints()
Deprecated, for removal: This API element is subject to removal in a future version.
Clear bend points and related bounds If you are updating an existing application you can just implement this method to do nothing.

### populateLayoutConstraint

void populateLayoutConstraint(LayoutConstraint constraint)
Deprecated, for removal: This API element is subject to removal in a future version.
Classes should update the specified layout constraint if recognized